Kerbal Space Program - Bug #9484

Hiring Kerbals when changing funds penalties subtracts base amount instead of shown
04/25/2016 12:30 PM - spacepandas

Status: Closed Start date: 04/25/2016
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version: 1.2.0

Version: 1.1.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

When changing the funds penalties when starting a new career to anything other than the default, hiring new kerbals still takes the
base amount from your funds instead of the shown price.

Easy steps to reproduce:

Start a new game and change the funds penalties slider from anything other than the default 100% (hard difficulty sets at 200%, for
example)

Fire starting kerbals (with no kerbals, the default 100% fund penalties for hiring a new one is 12,500)

At 200% fund penalties, hiring a new kerbal is shown to be 25,000, however when you hire, it only takes 12,500 from funds
at 1000% fund penalties, hiring a new kerbal is shown to be 125,000, however hiring also only takes 12,500 from funds

You still need the shown amount to be able to hire, it just doesn't take it all away like it should

History

#2 - 05/02/2016 04:27 PM - spacepandas
- File 20160502122212_1.jog added
- File 20160502122217 _1.jpg added

Added relevant screenshots, bug still present in 1.1.2

#3 - 07/17/2016 09:55 AM - TriggerAu

- Status changed from New to Needs Clarification

#4 - 10/14/2016 01:19 AM - Squelch
- Status changed from Needs Clarification to Ready to Test
- Target version set to 1.2.0

- % Done changed from 0 to 80

This has been addressed and the hire costs should be applied appropriately in KSP 1.2

#5 - 11/18/2016 08:09 PM - JPLRepo
- Status changed from Ready to Test to Closed
- % Done changed from 80 to 100

Closing. No response.
